<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_7ee25317ffedb4fe27bf0b5" . "036469b94" => base64_decode("Y29tbW9uLnR5cGU" . "uZm9sZGVy"), "_86e12158655092a9838a837" . "f6cf6d639" => base64_decode("Li4vY29tbW9uL2VybXNfcG" . "tnLnBocA=="), "_9410d17985408a" . "b6a2962e6fdb621" . "c5e" => base64_decode("ZG9jdW1lbnRzLm5" . "hbWVwYXR0ZXJudG" . "FnLnZlcg=="), "_0c5123aa744f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_5fde9260" . "9a43c9160" . "462278aec" . "060406" => base64_decode("Y29tbW9uLn" . "Vua25vd24="), "_eb56828483919e173c6ab772a8fa7d6" . "d" => base64_decode("Y29tbW9uLnR5cGU" . "uZG9jdW1lbnQ="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_86e12158655092a9838a8" . "37f6cf6d639"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_86e1215865509" . "2a9838a837f6cf" . "6d639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e" . "8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_7ee25317ffedb4fe27bf" . "0b5036469b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_eb56828483919e173c6ab" . "772a8fa7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_0c5123aa744f69bbc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_9410d1798" . "5408ab6a29" . "62e6fdb621" . "c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_5fde92609a4" . "3c9160462278" . "aec060406"]);
    }
}